[워드프레스] MySQL 버전 차이로 인한 이전 실패

Duplicator를 사용하여 워드프레스를 쉽게 이전할 수 있습니다. 얼마 전에 Duplicator를 사용하여 워드프레스를 이전한 적이 있었는데 큰 오류는 없고 다만 다음과 같은 메시지가 표시되었습니다.

워드프레스 이전

메시지의 내용은 다음과 같습니다.

Version: This Server: [5.1.41] — Package Server: [5.6.23]
NOTICE: In order to avoid database incompatibility issues make sure the database versions between the build and installer servers are as close as possible. If the package was created on a newer database version than where it is being installed then you might run into issues.

이 경우 오류 메시지를 무시하고 이전을 진행할 수 있습니다. 하지만 이전은 완료되었다고 나오지만 실제로 체크해보니 DB에 아무런 내용이 들어가 있지 않네요.

위의 메시지는 MySQL 버전 차이로 인해 DB가 호환이 되지 않는 문제가 발생할 수 있으니 가능한 한 MySQL 버전의 차이를 줄이라는 내용입니다. 위에서는 버전 차이가 많이 나서 제대로 이전이 되지 않았던 것입니다. 혹시나 해서 수동으로 DB Import를 진행해도 오류가 발생하네요.

이런 경우 새로 이전할 사이트의 MySQL 버전을 구(舊) 사이트의 MySQL 버전과 비슷하도록 업그레이드해주면 문제가 해결됩니다.

Duplicator를 사용하면 편리하게 워드프레스를 이전할 수 있습니다. 하지만 오류가 발생하는 경우가 제법 많습니다. 오류가 발생하는 이유는 웹호스팅 서버와의 비호환, 너무 큰 데이터 파일, 너무 큰 DB 파일, 그리고 위와 같이 MySQL 버전 차이 등 다양합니다.

Duplicator를 사용한 이전이 실패하면 수동으로 이전을 실행해야 합니다. 수동으로 이전(마이그레이션)하는 절차에 익숙하지 않은 경우 여기에서 서비스를 의뢰(유료)할 수 있습니다.

참고:

Leave a Comment

프리미엄 테마 그래픽 동영상 템플릿 무료 다운로드